diff --git a/web/pgadmin/utils/driver/psycopg2/__init__.py b/web/pgadmin/utils/driver/psycopg2/__init__.py
index da44738..f229b4d 100644
--- a/web/pgadmin/utils/driver/psycopg2/__init__.py
+++ b/web/pgadmin/utils/driver/psycopg2/__init__.py
@@ -822,6 +822,12 @@ WHERE
             else:
                 quote = csv.QUOTE_NONE
 
+            if hasattr(str, 'decode') and type(field_separator) != str:
+                try:
+                    field_separator = field_separator.decode('utf-8')
+                except:
+                    pass
+
             csv_writer = csv.DictWriter(
                 res_io, fieldnames=header, delimiter=field_separator,
                 quoting=quote,
